Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

"Matplotlib is not installed and required" warning?

I'm working through the book Practical Computer Vision with SimpleCV.

I'm trying to plot(histogram) within the SimpleCV shell and get a warning: "Matplotlib is not installed and required"

I downloaded Matplotlib and installed, but I still seem to get this message. Is there a special way to install Matplotlib so that SimpleCV can find it?

thanks,....

"Matplotlib is not installed and required" warning?

I'm working through the book Practical Computer Vision with SimpleCV.

I'm trying to plot(histogram) within the SimpleCV shell and get a warning: "Matplotlib is not installed and required"

I downloaded Matplotlib and installed, but I still seem to get this message. Is there a special way to install Matplotlib so that SimpleCV can find it?

edit1:
-- upon further trials, all ending in errir... It seems as if my problem is with Windows not playing nice with matplotlib?
-- I can import matplotlib run from a script file, in the python shell, and within the SimpleCV shell; but using plot() causes an error. from the python shell my error is something about a DLL not playing nice. I tried to clean up the DLL. I've tried a 'clean' install of Matplotlib, but I get the same result. -- I'm using a 64bit Windows 7, with Python 2.7 for 64bit. I tried matplotlib for 64bit... -- I'm thinking of trying Python(x,y) for windows??... will installing this mess with anything that SimpleCV needs/uses? -- any other advice?

thanks,....